TICKIT_TERM_GOTO(3)

NAME
tickit_term_goto, tickit_term_move - move the terminal output cursor

SYNOPSIS
    #include <tickit.h>

    bool tickit_term_goto(TickitTerm *tt, int line, int col);
    void tickit_term_move(TickitTerm *tt, int downward, int rightward);

Link with -ltickit.

DESCRIPTION
tickit_term_goto() moves the terminal output cursor to the absolute position specified. On some terminals, either line or col may be specified as -1 to move within the line or column it is currently in. Not all terminals may support the partial move ability; so the return value of tickit_term_goto() should be checked after attempting a goto within the line or column to see if it actually worked. If not, the application will have to reset the position using a fully-specified goto.

tickit_term_move() moves the terminal output cursor relative to its current position. Either downward or rightward may be specified as 0 to not move in that direction.

RETURN VALUE
tickit_term_goto() returns a boolean value indicating whether it was able to support the requested movement. tickit_term_move() returns no value.

SEE ALSO
tickit_term_build(3), tickit_term_print(3), tickit_term(7), tickit(7)